#****************************************************************************
#**
#**  File     :  /units/URL0320/URL0320_script.*
#**  Author(s):  Asdrubaelvect
#**
#**  Summary  :  Cybran Siege Assault Bot Script
#****************************************************************************
local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
local WeaponsFile = import ('/Mods/SoftLastAsdruMod/hook/lua/Modweapons.lua')
local CybranWeaponsFile = import('/lua/cybranweapons.lua')

local CDFHeavyMicrowaveLaserGeneratorCom02 = WeaponsFile.CDFHeavyMicrowaveLaserGeneratorCom02
local CDFHeavyDisintegratorWeapon = CybranWeaponsFile.CDFHeavyDisintegratorWeapon
local CAAMissileNaniteWeapon = CybranWeaponsFile.CAAMissileNaniteWeapon

URL0320 = Class(CWalkingLandUnit)
{
    Weapons = {
		MainGun = Class(CDFHeavyMicrowaveLaserGeneratorCom02) {
		},
		Disintigrator01 = Class(CDFHeavyDisintegratorWeapon) {
		},
		Disintigrator02 = Class(CAAMissileNaniteWeapon) {
		},		
    },
}
TypeClass = URL0320